package hr.fer.tel.ruazosa;

public class ShortAnswerQuestion extends AbstractQuestion {
	private String correctAnswer;
	
	public ShortAnswerQuestion(String text, String correctAnswer) {
		super(text);
		this.correctAnswer = correctAnswer;
	}
	
	public boolean isCorrectAnswer(String answer) {
		return correctAnswer.equalsIgnoreCase(answer);
	}
	
	public String toString() {
	    return "ShortAnswerQuestion:" + getText();
	}
/*	
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result
				+ ((correctAnswer == null) ? 0 : correctAnswer.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (!super.equals(obj)) {
			return false;
		}
		if (!(obj instanceof ShortAnswerQuestion)) {
			return false;
		}
		ShortAnswerQuestion other = (ShortAnswerQuestion) obj;
		if (correctAnswer == null) {
			if (other.correctAnswer != null) {
				return false;
			}
		} else if (!correctAnswer.equals(other.correctAnswer)) {
			return false;
		}
		return true;
	}
*/
	
}
