package hr.fer.tel.ruazosa.io;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;

public class ReadingWithBuffer
{

  /**
   * @param args
   */
  public static void main( String[] args )
  {
    readCharByChar();
    readLine();
  }

  private static void readLine()
  {
    long startTime = System.currentTimeMillis();
    
    try
    {
      FileReader fin = new FileReader( "pomocni.txt" );
      BufferedReader in = new BufferedReader( fin );

      String line = "";
      while ( ( line = in.readLine() ) != null )
      {
        // napravi nesto s procitanom linijom
      }
      in.close();
    }
    catch ( FileNotFoundException e )
    {
      System.err.println( "Nemogu naći datoteku: pomocni.txt" );
      e.printStackTrace();
    }
    catch ( IOException e )
    {
      e.printStackTrace();
    }

    long endTime = System.currentTimeMillis();
    System.out.println( "Ukupno vrijeme readLine: " + ( endTime - startTime ) );
  }

  private static void readCharByChar()
  {
    long startTime = System.currentTimeMillis();
    
    try
    {
      FileReader fin = new FileReader( "pomocni.txt" );
      BufferedReader in = new BufferedReader( fin );

      int c;
      while ( ( c = in.read() ) != -1 )
      {
        // napravi nesto s procitanim podatkom
      }
      in.close();
    }
    catch ( FileNotFoundException e )
    {
      System.err.println( "Nemogu na�i datoteku: pomocni.txt" );
      e.printStackTrace();
    }
    catch ( IOException e )
    {
      e.printStackTrace();
    }

    long endTime = System.currentTimeMillis();
    System.out.println( "Ukupno vrijeme: " + ( endTime - startTime ) );
  }

}
