package hr.fer.tel.ruazosa;

public abstract class AbstractQuestion implements Question {
	private String text;
	
	public AbstractQuestion(String text) {
		this.text = text;
	}
	
	public String getText() {
		return text;
	}
	
	public abstract boolean isCorrectAnswer(String answer);

/*
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((text == null) ? 0 : text.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj) {
			return true;
		}
		if (obj == null) {
			return false;
		}
		if (!(obj instanceof AbstractQuestion)) {
			return false;
		}
		AbstractQuestion other = (AbstractQuestion) obj;
		if (text == null) {
			if (other.text != null) {
				return false;
			}
		} else if (!text.equals(other.text)) {
			return false;
		}
		return true;
	}
*/
	
}
